use std::{collections::HashMap, env, fs, path::PathBuf};

pub type Shows = HashMap<String, PathBuf>;

pub struct Config {
    pub shows: Shows,
}

pub fn load() -> Config {
    let shows_file = env::var("SCREENCAP_BOT_SHOWS_FILE").unwrap_or(String::from("./shows.yaml"));
    Config {
        shows: serde_yaml::from_reader(
            fs::File::open(shows_file).expect("Failed to open shows file"),
        )
        .expect("Failed to parse YAML from shows file"),
    }
}
